"""Public request exceptions."""


class CannotBeProcessed(RuntimeError):
    """Public request cannot be processed."""


class PublicRequestDoesNotExist(ValueError):
    """Public request does not exist."""


class ExtraArgumentWarning(UserWarning):
    """Extra argument was passed to a model."""
